Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 09/20/2023 in all areas

  1. Bricscad pro $1740 AUD Lite even cheaper and is perpetual.
    2 points
  2. This code works for the example you provided. I'm not sure if it will work in all situations. The elevation is greater than the distance between points, so it may find the wrong point sometimes. (vl-load-com) ;; https://forums.autodesk.com/t5/visual-lisp-autolisp-and-general/how-to-get-the-z-coordinate-of-3d-polyline/td-p/2435197 ;; Poly-Pts ;;; returns a list of the polyline vertices WCS coordinates ;;; Argument: a polyline (ENAME or VLA-OBJECT) (defun poly-pts (p / n l) (setq n (fix (vlax-curve-getEndParam p))) (or (vlax-curve-IsClosed p) (setq n (1+ n))) (repeat n (setq l (cons (vlax-curve-getPointAtParam p (setq n (1- n))) l)) ) ) (defun draw3DWPoly (lst cls) (command "_3dpoly") (foreach a lst (command a) ) (command "") ) ;; RPTP for "Reshape Polyline To Points" (defun c:RPTP ( / pts pt dst closest_dst pl verts vrt i j ind pointlist) (princ "\nSelect points: ") (setq pts (ssget (list (cons 0 "POINT")))) (setq pl (car (entsel "\nSelect polyline: "))) ;; read the vertices of the polyline (setq verts (poly-pts pl)) ;; for each vertex find the closest points. ;; verts is already sorted from start to end (as the polyline was drawn) (setq pointlist (list)) (foreach vrt verts ;; (setq i 0) (setq closest_dst nil) (repeat (sslength pts) (setq dst (distance vrt ;; vertex (cdr (assoc 10 (entget (ssname pts i)))) ;; location of the POINT )) (if (= closest_dst nil) ;; first try (progn (setq closest_dst dst) (setq ind i) ;; we want to keep track of the index of the closest point ) ;; else, see if we get a closer match (if (< dst closest_dst) (progn (setq closest_dst dst) (setq ind i) ) ) ) (setq i (+ i 1)) ) (setq pointlist (append pointlist (list (cdr (assoc 10 (entget (ssname pts ind)))) ))) ;; remove the point from the list, so we don't look at the same point twice (ssdel (ssname pts ind) pts) ) (princ pointlist) (draw3DWPoly pointlist 0) (entdel pl) )
    1 point
  3. I haven't looked at the website, what is the cost they are quoting for a 'genuine' license and what is the cost that you might find elsewhere, perhaps searching Autodesk trusted resellers? If the 2 prices are very similar that adds some confidence but if the prices are very difference then be wary. For example in the UK a license is being quoted at about £1700 (discounted from £2000)
    1 point
  4. Give this a try: (defun c:DC ( / curlay) (setq curlay (getvar "CLAYER")) (setvar "clayer" "S - DETAIL CUT") (vl-cmdf "._insert" "Detail Cut" "_s" 36.0 "_r" 0) (setvar "clayer" curlay) (princ) )
    1 point
  5. In the view where you want to show the beam or lintel as hidden line, Look into your properties panel. In the Range : Base Level, Select your current level. For the Range Top Level, select the level where the beam resides. Make sure Look Up is selected in the "Underlay Orientation". When the beam shows up in your plan, go to Annotate Tab and pick Detail Line. Use pick lines (Yellow Circle) and select your Line Style (red circle) select <Overhead> or hidden line. and pick your beam. Make sure to lock the line with the beam so that when the beam changes, the line follows Once done, go back to the Properties > Underlay and select None for both Range :Base Level and Range : Top Level Hope this helps.
    1 point
×
×
  • Create New...